## org.eclipse.emf.ecore.resource.impl
Class URIMappingRegistryImpl.MappingEntryImpl

    java.lang.Object
      org.eclipse.emf.common.util.BasicEMap.EntryImpl
          org.eclipse.emf.ecore.resource.impl.URIMappingRegistryImpl.MappingEntryImpl

All Implemented Interfaces:
  java.util.Map.Entry<URI,URI>, BasicEMap.Entry<URI,URI>

Enclosing class:
  URIMappingRegistryImpl

    protected class URIMappingRegistryImpl.MappingEntryImpl

extends BasicEMap.EntryImpl

An extended implementation that maintains a bit indicating if the entry represents a folder to folder mapping.

Field Summary
`boolean` `isPrefixMapEntry` The indicator whether this entry represents a folder to folder mapping.

Fields inherited from class org.eclipse.emf.common.util.BasicEMap.EntryImpl
`hash, key, value`

Constructor Summary
`URIMappingRegistryImpl.MappingEntryImpl(int hash, URI key, URI value)` Creates an instance.

Method Summary
`void` `determineEntryType()` Computes whether this entry represents a folder to folder mapping.

Methods inherited from class org.eclipse.emf.common.util.BasicEMap.EntryImpl
`clone, equals, getHash, getKey, getValue, hashCode, setHash, setKey, setValue, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### isPrefixMapEntry

    public boolean isPrefixMapEntry

  The indicator whether this entry represents a folder to folder mapping.

Constructor Detail

### URIMappingRegistryImpl.MappingEntryImpl

    public URIMappingRegistryImpl.MappingEntryImpl(int hash,
                                                   URI key,
                                                   URI value)

  Creates an instance.

Method Detail

### determineEntryType

    public void determineEntryType()

  Computes whether this entry represents a folder to folder mapping.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.